Package org.w3._1999.xhtml

# Class Script

java.lang.Object
org.w3._1999.xhtml.Script

public class Script extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> <attribute name="charset" type="{http://www.w3.org/1999/xhtml}Charset" /> <attribute name="type" use="required" type="{http://www.w3.org/1999/xhtml}ContentType" /> <attribute name="src" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="defer"> <simpleType> <restriction base="{http://www.w3.org/2001/XMLSchema}token"> <enumeration value="defer"/> </restriction> </simpleType> </attribute> <attribute ref="{http://www.w3.org/XML/1998/namespace}space fixed="preserve""/> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `charset`
  `protected String`
  `content`
  `protected String`
  `defer`
  `protected String`
  `id`
  `protected String`
  `space`
  <pre> &lt;?
  `protected String`
  `src`
  `protected String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Script()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharset()`
  Gets the value of the charset property.
  `String`
  `getContent()`
  Gets the value of the content property.
  `String`
  `getDefer()`
  Gets the value of the defer property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getSpace()`
  <pre> &lt;?
  `String`
  `getSrc()`
  Gets the value of the src property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setCharset(String value)`
  Sets the value of the charset property.
  `void`
  `setContent(String value)`
  Sets the value of the content property.
  `void`
  `setDefer(String value)`
  Sets the value of the defer property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setSpace(String value)`
  Sets the value of the space property.
  `void`
  `setSrc(String value)`
  Sets the value of the src property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### content

    protected String content

  - ### id

    protected String id

  - ### charset

    protected String charset

  - ### type

    protected String type

  - ### src

    protected String src

  - ### defer

    protected String defer

  - ### space

    protected String space
    <pre> &lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;div xmlns="http://www.w3.org/1999/xhtml" xmlns:xs="http://www.w3.org/2001/XMLSchema"&gt;&lt;h3&gt;space (as an attribute name)&lt;/h3&gt;&lt;p&gt; denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification.&lt;/p&gt;&lt;/div&gt; </pre>

- ## Constructor Details

  - ### Script

    public Script()

- ## Method Details

  - ### getContent

    public String getContent()
    Gets the value of the content property.
    Returns:
      possible object is `String`

  - ### setContent

    public void setContent(String value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCharset

    public String getCharset()
    Gets the value of the charset property.
    Returns:
      possible object is `String`

  - ### setCharset

    public void setCharset(String value)
    Sets the value of the charset property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSrc

    public String getSrc()
    Gets the value of the src property.
    Returns:
      possible object is `String`

  - ### setSrc

    public void setSrc(String value)
    Sets the value of the src property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDefer

    public String getDefer()
    Gets the value of the defer property.
    Returns:
      possible object is `String`

  - ### setDefer

    public void setDefer(String value)
    Sets the value of the defer property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpace

    public String getSpace()
    <pre> &lt;?xml version="1.0" encoding="UTF-8"?&gt;&lt;div xmlns="http://www.w3.org/1999/xhtml" xmlns:xs="http://www.w3.org/2001/XMLSchema"&gt;&lt;h3&gt;space (as an attribute name)&lt;/h3&gt;&lt;p&gt; denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification.&lt;/p&gt;&lt;/div&gt; </pre>
    Returns:
      possible object is `String`

  - ### setSpace

    public void setSpace(String value)
    Sets the value of the space property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSpace()`